#
# spec file for package python-yubico
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-yubico
Version:        1.6.2
Release:        3.1
License:        BSD-3-Clause
Summary:        Python Yubico Client
Url:            http://github.com/Kami/python-yubico-client/
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/y/yubico/yubico-%{version}.tar.gz
BuildRequires:  python-devel, python-setuptools
BuildRequires:  python-requests >= 2.2.0
Requires:       python-requests >= 2.2.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Python class for verifying Yubico One Time Passwords (OTPs) based on the
validation protocol version 2.0.

%prep
%setup -q -n yubico-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.md LICENSE
%{python_sitelib}/*

%changelog
* Mon Jun  1 2015 hguo@suse.com
- New package.
